View Issue Details

IDProjectCategoryView StatusLast Update
0000394MantisDroid[All Projects] Defectpublic2012-11-20 09:06
Reportere7andy Assigned Toe7andy  
PriorityimmediateSeverityblockReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.1.1 
Target Version1.2Fixed in Version1.2 
Summary0000394: Authorization hangs forever when connection problems occur
DescriptionSet timeout on authorization.
TagsNo tags attached.

Activities

e7andy

2012-11-17 16:55

administrator   ~0000065

Integrated in MantisDroidLibrary:40 ( See http://e7andy.no-ip.com:8091/job/MantisDroidLibrary/40/ ).

Revision/Changeset: 538
Author: anders
Log:
ISSUE 0000364 - Http Basic Authentication.
ISSUE 0000398 - Improved error handling.
ISSUE 0000394 - Add timeout for authorization.
Simplified handling of login credentials.
Removed unused code.
Changed paths:
M /MantisDroidLibrary/res/layout/login.xml
M /MantisDroidLibrary/res/values/strings.xml
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/ActivityUtils.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/IssueDetailsActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/IssueEditActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/IssueListActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/LoginActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/MantisDroid.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/MantisDroidActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/ProjectDetailsActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/ProjectEditActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/ProjectListActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/UrlLoginActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/UserPreferences.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/service/MantisBT.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/webservice/MantisBTService.java

Issue History

Date Modified Username Field Change
2012-11-06 09:16 e7andy New Issue
2012-11-06 09:17 e7andy Assigned To => e7andy
2012-11-06 09:17 e7andy Status new => assigned
2012-11-06 09:17 e7andy Summary Authorization hangs forever when connection problems => Authorization hangs forever when connection problems occur
2012-11-09 22:39 e7andy Priority normal => immediate
2012-11-09 22:39 e7andy Severity minor => block
2012-11-14 08:12 e7andy Target Version 1.1.1 => 1.2
2012-11-16 07:43 e7andy Status assigned => resolved
2012-11-16 07:43 e7andy Fixed in Version => 1.2
2012-11-16 07:43 e7andy Resolution open => fixed
2012-11-17 16:55 e7andy Note Added: 0000065
2012-11-20 09:06 e7andy Status resolved => closed